#ifndef _Handle_PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface_HeaderFile
#define _Handle_PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface);

class Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface)():Handle(PStandard_ArrayNode)() {} 
    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface)(const Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface)(const PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface)& operator=(const Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface)& operator=(const PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface* operator->() const 
     {
      return (PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
